2016年5月8日 星期日

Ruby Dev kit 安裝與 json 1.8.3

Ruby 如果不安裝 dev kit 可能會導致 json 1.8.3 套件安裝失敗


dev kit 安裝方式為:

到http://rubyinstaller.org/downloads/,下載

DEVELOPMENT KIT


For use with Ruby 1.8.7 and 1.9.3:

像這樣的檔案,接著解壓縮到 C:\RubyDevKit ,然後在 cmd 執行:

ruby dk.rb init

然後目錄會出現一個

config.yml

打開後可以在最下面新增一行:

- C:\Ruby200-x64  (基本上改為自己 ruby 安裝根目錄就可以了)

然後再執行:

ruby dk.rb install

完成後再安裝 gem install json -v ‘1.8.3’ 就可以解決 json 安裝套件的問題。

沒有留言:

張貼留言

© ERIC RILEY , 自由無須告知轉貼
Background Japanese Sayagata by Olga Libby